Hébergement web : choisissez l'environnement d'exécution qui vous convient

Le fait de pouvoir changer l'environnement d'exécution des sites présents au sein des hébergements web est une évolution importante. Désormais, il est possible de modifier, à chaud, l'environnement logiciel au sein duquel s'exécute votre site ou CMS. Cette fonctionnalité permet aux possesseurs de solutions d'hébergement web d'utiliser des logiciels de versions différentes sans risque d'incompatibilités.

Au nombre de trois, les environnements d'exécution qui s'offrent désormais aux utilisateurs répondent à des besoins et des profils spécifiques :

Legacy
Il s'agit de l'environnement historique présent sur les hébergements web OVH. Jusqu'à aujourd'hui, il s'agissait de la seule configuration disponible au sein de nos offres. Bien qu'il soit toujours maintenu et disponible au sein de l'espace client, il est recommandé de passer à la version "Stable" afin de bénéficier des dernières mises à jour logicielles.

L'environnement "Legacy" permet à des sites ayant recours à d'anciennes versions de PHP par exemple, d'être maintenus.

Stable
L'environnement "Stable" sera désormais le choix par défaut pour les hébergements web, il permet de bénéficier des dernières mises à jour logicielles stables automatiquement et sans configuration additionnelle.

Testing
L'environnement "Testing" est destiné aux "early adopters" : il permet de bénéficier en avant-première des images les plus récentes, des patchs et nouvelles technologies (qu'elles soient en bêta ou non). Compte tenu de la nature de cet environnement d'exécution, il n'existe toutefois aucune garantie en matière de compatibilité avec l'existant, cette image est donc à réserver au développement. Une mise en production sur un environnement "Testing" n'est pas recommandée.

Avis d'expert

L'installation de Drupal 8 nécessite l'utilisation de connecteurs aux bases de données récentes qui sont déployés dans l'environnement stable alors qu'il n'est pas disponible dans l'environnement "Legacy".
De manière identique, ce nouvel environnement sera nécessaire pour tous les sites utilisant paypal puisque ce dernier comporte une version de OpenSSL gérant TLS1.2, version qui sera rendue obligatoire par PayPal le 17 juin 2016.

Pour installer et modifier à chaud votre environnement d'exécution, il vous suffit de vous rendre au sein de votre espace client et de choisir l'environnement adapté.

Obtenez votre hébergement web aujourd'hui : https://www.ovh.com/fr/hebergement-web/

Article précédent

Week in review - 18/04 au 22/04